.tray {
  height: 100%;
  /*TODO: 12-28-2023 Adjust width of tray based on screen width;
    need media queries to target wider screen sizes (reduce width at
    larger sizes)
  */
  width: 60vw;
  background-color: var(--lapis-lazuli);
  position: absolute;
  top: 0;
  z-index: 6;
  left: 0vw;
  transition-property: transform;
  transition-duration: 500ms;
}

.tray-collapse {
  background-color: var(--asparagus);
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--eggshell);
  cursor: pointer;
  box-shadow: 4px 5px 8px var(--darkgreen-5);
  border-radius: 0;
}

.sort-banner {
  margin-block-start: 1rem;
  margin-block-end: 1.25rem;
  padding-left: 1.25rem;
  color: var(--eggshell);
  font-size: 2.25rem;
  text-shadow: 4px 4px 6px var(--darkgreen-5);
}
.tray-closed {
  transform: translateX(-60vw);
}

.tray-open {
  transform: translateX(0vw);
}

.tray label,
.tray legend {
  color: var(--eggshell);
}
